;;; bib-search.el --- Search the AASC NN BibTeX databases

;; Author:  Kurt Hornik <Kurt.Hornik@wu-wien.ac.at>
;; Last modified on 2006-10-08

;; Copyright (c) 1996, 1997, 2000, 2006 Kurt Hornik

(defvar bib-search-buffer "*BibSearch Results*")

(defvar bib-search-NN-files
  '("ieee-ec.bib" "ieee-fs.bib" "ieee-nn.bib"
    "nips-3.bib" "nips-4.bib" "nips-5.bib" "nips-6.bib" "nips-7.bib"
    "nips-8.bib" "nips-9.bib" "nips-10.bib"
    "nc.bib" "nn.bib" "nn-books.bib" "npl.bib")
  "List of BibTeX dbs related to Neural Networks")

(defun bib-search-NN (string case)
  "Search the BibTeX dbs related to Neural Networks for STRING.
If used interactively, a non-nil prefix argument yields case sensitive
search."
  (interactive "sSearch NN BibTeX dbs for: \nP")
  (get-buffer-create bib-search-buffer)
  (pop-to-buffer bib-search-buffer)
  (erase-buffer)
  (apply 'call-process
	 "bibtool" nil bib-search-buffer t "-q"
	 (concat "-- select.case.sensitive = " (if case "on" "off") "")
	 "-- preserve.key.case = on"
	 "-- key.generation = off"
	 "-- bibtex.search.path = \"/usr/local/share/texmf/bibtex/bib/aasc\""
	 (concat "-- select {\"" string "\"}")
	 bib-search-NN-files)
  (bibtex-mode))

(provide 'bib-search)
