;;; urldb-ctrl.el --- URL Data Base Control File
;; The forms mode control file for visiting the URL data bases

;; Author:  Kurt Hornik <Kurt.Hornik@tuwien.ac.at>
;; Last modified on 1996/12/07

;; Copyright (c) 1996 Kurt Hornik

(require 'urldb)

(setq case-fold-search t)

(setq forms-file urldb-file
      forms-field-sep "|"
      forms-read-only t
      forms-number-of-fields 6
      forms-check-number-of-fields nil)

(setq forms-new-record-filter 'urldb-edit-filter
      forms-modified-record-filter 'urldb-edit-filter)

(setq forms-format-list
      (list
       (let ((s (concat " Current URL database is " forms-file " ")) l)
         (setq l (/ (- 72 (length s)) 2))
         (concat
          (make-string l ?=)
          s
          (make-string l ?=)
          "\n\n"))
       "URL:          " 1
       "\n\n"
       "Title:        " 2
       "\n\n"
       "Keywords:     " 3
       "\n\n"
       "Note:         " 4
       "\n\n\n\n\n"
       "Last modified on " 5
       "\n"
       "              by " 6
       "\n"))
