;;; urldb.el --- URL Data Base
;; A package for using simple URL databases

;; Author:  Kurt Hornik <Kurt.Hornik@tuwien.ac.at>
;; Last modified on 1996/01/16

;; Copyright (c) 1996 Kurt Hornik

(defvar urldb-file nil
  "*Location of the currently used URL data base")

(defvar urldb-site-file "/usr/local/var/urldb"
  "Location of the site-wide URL data base")

(defvar urldb-user-file "~/.urldb"
  "*Location of the user's URL data base.  Default is ~/.urldb")

(defvar urldb-control-file
  "/usr/local/share/emacs/site-lisp/aasc/urldb-ctrl.el"
  "*Default forms mode control file for visiting the URL data base")

(defun urldb-edit-filter (record)
  (aset record 5 (format-time-string "%Y/%m/%d" (current-time)))
  (aset record 6
	(concat user-full-name " <" user-mail-address ">"))
  record)

;;;###autoload
(defun urldb (&optional arg)
  "Visit the URL database using Forms mode.
If ARG is non-nil, the user will be prompted for the name of a URL data
base to visit.  Otherwise, the user's private data base is selected."
  (interactive "P")
  (if (not arg)
      (setq urldb-file urldb-user-file)
    (setq urldb-file
	  (read-file-name
	   (concat "URL db to visit (default " urldb-site-file "): ")
	   default-directory urldb-site-file)))
  (forms-find-file urldb-control-file))

(provide 'urldb)
